import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_risk/flutter_risk.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_risk');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('riskDangerous', () async {
    expect(await FlutterRisk.riskDangerous("2222"), '42');
  });
}
